inc += include_directories('.')

headers = [
]

sources = [ 
]

lib = library(
  meson.project_name(), 
  include_directories : inc,
  sources: [headers, sources],
  dependencies : deps,
  cpp_args: args
)

alg_dep = declare_dependency(
  include_directories: inc, 
  link_with: lib 
)

deps += alg_dep
